Inhalte

# Anweisung LSet

Ordnet eine Zeichenfolge linksbündig innerhalb einer Zeichenfolgenvariablen an oder kopiert eine Variable eines benutzerdefinierten Datentyps in eine andere Variable eines benutzerdefinierten Datentyps.

### Syntax:

    LSet Var As String = Text or LSet Var1 = Var2

### Parameter:

Var: Eine beliebige Zeichenfolgenvariable, welche die links auszurichtende Zeichenfolge enthält.

Text: Zeichenfolge, die Sie innerhalb der Zeichenfolgenvariablen links ausrichten möchten.

Var1: Name der zu kopierenden benutzerdefinierten Variable.

Var2: Name der zu kopierenden benutzerdefinierten Variable.

Ist die Zeichenfolge kürzer als die Zeichenfolgenvariable, ordnet die Anweisung LSet die Zeichenfolge linksbündig in der Zeichenfolgenvariablen an. Die freien Stellen der Zeichenfolgenvariablen werden mit Leerzeichen aufgefüllt. Ist die Zeichenfolge länger, werden nur so viele Zeichen der Zeichenfolge linksbündig in der Zeichenfolgenvariablen angeordnet, wie diese aufnehmen kann. Mit der Anweisung LSet ist es außerdem möglich, die Variable eines benutzerdefinierten Datentyps in eine andere desselben Datentyps zu kopieren.

### Beispiel:

    Sub ExampleRLSet
    Dim sVar As String
    Dim sExpr As String
        sVar = String(40,"*")
        sExpr = "SBX"
        ' "SBX" Im 40 Zeichen langen Referenzstring rechts ausrichten
        ' Die Sternchen durch Leerzeichen ersetzen
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123457896"
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(40,"*")
        sExpr = "SBX"
        ' "SBX" im 40 Zeichen langen Referenzstring links ausrichten
        LSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123456789"
        LSet sVar = sExpr
        Print ">"; sVar; "<"
    End Sub

Verwandte Themen

Zeichenfolgenfunktionen